## org.opengis.filter.spatial
Interface Beyond

All Superinterfaces:
  BinarySpatialOperator, DistanceBufferOperator, Filter, SpatialOperator

    @XmlElement(value="Beyond")
    public interface Beyond

extends DistanceBufferOperator

Concrete distance buffer operator that evaluates as `true` when all of a feature's geometry lies beyond (i.e. is more distant) than the given distance from this object's geometry.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Field Summary

Fields inherited from interface Filter
`EXCLUDE, INCLUDE`

Method Summary

Methods inherited from interface DistanceBufferOperator
`getDistance, getDistanceUnits`

Methods inherited from interface BinarySpatialOperator
`getExpression1, getExpression2`

Methods inherited from interface Filter
`accept, evaluate`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.